module TigerPayment
  class Action
    attr_reader  :amount,
                 :action_type,
                 :date,
                 :success,
                 :ip_address,
                 :source,
                 :username,
                 :response_text,
                 :batch_id,
                 :processor_batch_id,
                 :response_code
    def initialize(params={})
      
      params.each_pair do |k,v|
        if v == [{}]
          instance_variable_set('@'+k, nil)
        else
          instance_variable_set('@'+k, v.size == 1 ? v.first : v)
        end
      end
    end
  end
end