module TigerPayment
  class Customer
    attr_reader  :id,
                 :first_name,
                 :last_name,
                 :address_1,
                 :address_2,
                 :company,
                 :city,
                 :state,
                 :postal_code,
                 :country,
                 :email,
                 :phone,
                 :fax,
                 :cell_phone,
                 :customertaxid,
                 :website,
                 :shipping_first_name,
                 :shipping_last_name,
                 :shipping_address_1,
                 :shipping_address_2,
                 :shipping_company,
                 :shipping_city,
                 :shipping_state,
                 :shipping_postal_code,
                 :shipping_country,
                 :shipping_email,
                 :shipping_carrier,
                 :tracking_number,
                 :shipping_date,
                 :shipping,
                 :cc_number,
                 :cc_hash,
                 :cc_exp,
                 :check_account,
                 :check_hash,
                 :check_aba,
                 :check_name,
                 :account_holder_type,
                 :account_type,
                 :sec_code,
                 :processor_id,
                 :cc_bin,
                 :customer_vault_id
                 
    def initialize(params = {})
      params.each_pair do |k,v|
        if v == [{}]
          instance_variable_set('@'+k, nil)
        else
          value ||= v.size == 1 ? v.first : v
          instance_variable_set('@'+k, value)
        end
      end
    end

  end
end